Skip to main content

APIResponse

APIResponse 类表示由 api_request_context.get() 及类似方法返回的响应。

from playwright.sync_api import sync_playwright

with sync_playwright() as p:
context = playwright.request.new_context()
response = context.get("https://example.com/user/repos")
assert response.ok
assert response.status == 200
assert response.headers["content-type"] == "application/json; charset=utf-8"
assert response.json()["name"] == "foobar"
assert response.body() == '{"status": "ok"}'

方法

🌐 Methods

body

Added in: v1.16 apiResponse.body

返回带有响应正文的缓冲区。

🌐 Returns the buffer with response body.

用法

api_response.body()

返回


dispose

Added in: v1.16 apiResponse.dispose

释放此响应的主体。如果不调用此方法,主体将一直保留在内存中,直到上下文关闭。

🌐 Disposes the body of this response. If not called then the body will stay in memory until the context closes.

用法

api_response.dispose()

返回


json

Added in: v1.16 apiResponse.json

返回响应正文的 JSON 表示形式。

🌐 Returns the JSON representation of response body.

如果响应正文无法通过 JSON.parse 解析,该方法将抛出异常。

🌐 This method will throw if the response body is not parsable via JSON.parse.

用法

api_response.json()

返回


security_details

Added in: v1.61 apiResponse.security_details

返回 SSL 及其他安全信息。对于非 HTTPS 响应,会解析为 null。对于重定向的请求,返回重定向链中最后一次请求的信息。

🌐 Returns SSL and other security information. Resolves to null for non-HTTPS responses. For redirected requests, returns the information for the last request in the redirect chain.

用法

api_response.security_details()

返回

  • NoneType | Dict#
    • issuer str (optional)

      证书中发行者字段的常用名称组件。此信息仅用于参考。可选。

    • protocol str (optional)

      使用的特定 TLS 协议。(例如 TLS 1.3)。可选。

    • subjectName str (optional)

      证书中主题字段的通用名称组件。此项仅供参考。可选。

    • validFrom float (optional)

      Unix 时间戳(以秒为单位),指定此证书何时生效。可选。

    • validTo float (optional)

      Unix 时间戳(以秒为单位),指定此证书何时失效。可选。


server_addr

Added in: v1.61 apiResponse.server_addr

返回服务器的IP地址和端口。如果服务器地址不可用,则解析为 null。对于重定向请求,返回重定向链中最后一次请求的信息。

🌐 Returns the IP address and port of the server. Resolves to null if the server address is not available. For redirected requests, returns the information for the last request in the redirect chain.

用法

api_response.server_addr()

返回


text

Added in: v1.16 apiResponse.text

返回响应正文的文本表示形式。

🌐 Returns the text representation of response body.

用法

api_response.text()

返回


属性

🌐 Properties

headers

Added in: v1.16 apiResponse.headers

包含与此响应关联的所有响应 HTTP 标头的对象。

🌐 An object with all the response HTTP headers associated with this response.

用法

api_response.headers

返回


headers_array

Added in: v1.16 apiResponse.headers_array

一个包含与此响应相关的所有 HTTP 响应头的数组。头名称不会转换为小写。具有多个条目的头,例如 Set-Cookie,会在数组中出现多次。

🌐 An array with all the response HTTP headers associated with this response. Header names are not lower-cased. Headers with multiple entries, such as Set-Cookie, appear in the array multiple times.

用法

api_response.headers_array

返回


ok

Added in: v1.16 apiResponse.ok

包含一个布尔值,说明响应是否成功(状态范围为 200-299)。

🌐 Contains a boolean stating whether the response was successful (status in the range 200-299) or not.

用法

api_response.ok

返回


status

Added in: v1.16 apiResponse.status

包含响应的状态代码(例如,200 表示成功)。

🌐 Contains the status code of the response (e.g., 200 for a success).

用法

api_response.status

返回


status_text

Added in: v1.16 apiResponse.status_text

包含响应的状态文本(例如,通常成功时为“OK”)。

🌐 Contains the status text of the response (e.g. usually an "OK" for a success).

用法

api_response.status_text

返回


url

Added in: v1.16 apiResponse.url

包含响应的 URL。

🌐 Contains the URL of the response.

用法

api_response.url

返回